#!/bin/sh

# Modules
module purge
module restore myborg
module load cuda/12.3

# Environment
source /home/bartlett/.bashrc
source /home/bartlett/anaconda3/etc/profile.d/conda.sh
conda deactivate
conda activate borg_env

# Kill job if there are any errors
set -e

# Path variables
BORG=/home/bartlett/anaconda3/envs/borg_env/bin/hades_python
RUN_DIR=/data101/bartlett/mgborg_emulator/basic_run

mkdir -p $RUN_DIR
cd $RUN_DIR

# Create a custom file descriptor (3) for tracing
exec 3>$RUN_DIR/trace_file.txt

# Redirect trace output to the custom file descriptor
BASH_XTRACEFD="3"
set -x

# Just ICs
INI_FILE=/home/bartlett/mgborg_emulator/conf/basic_ini.ini
cp $INI_FILE basic_ini.ini
$BORG INIT basic_ini.ini
